#include <CapacitiveSensor.h> // Library required for capacitive sensor functionality

CapacitiveSensor   cs_2_4 = CapacitiveSensor(2,4); // 10M ohm  resistor between pins 2 & 4, pin 4 is sensor pin, add a wire and or foil to pin 4
int in = 2; 
int out = 4;  

#include <Adafruit_NeoPixel.h> // Library required for Neopixel functionality
#ifdef __AVR__
 #include <avr/power.h> // Required for 16 MHz Adafruit Trinket
#endif

// Which pin on the Arduino is connected to the NeoPixels?
#define PIN        6 // On Trinket or Gemma, suggest changing this to 1

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS 8 // Popular NeoPixel ring size

// When setting up the NeoPixel library, we tell it how many pixels,
// and which pin to use to send signals. Note that for older NeoPixel
// strips you might need to change the third parameter -- see the
// strandtest example for more information on possible values.

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

#define DELAYVAL 500 // Time (in milliseconds) to pause between pixels

long randNumber1;
long randNumber2;
long randNumber3;

void setup()
{
    // These lines are specifically to support the Adafruit Trinket 5V 16 MHz.
    // Any other board, you can remove this part (but no harm leaving it):
#if defined(__AVR_ATtiny85__) && (F_CPU == 16000000)
  clock_prescale_set(clock_div_1);
#endif
    // END of Trinket-specific code.

  pixels.begin(); // INITIALIZE NeoPixel strip object (REQUIRED)

  Serial.begin(9600);  // initialize serial communication at 9600 bits per second:

  pinMode(4, INPUT);
  pinMode(6, OUTPUT);
    
}

void loop()                    
{

long start = millis();
long total1 = cs_2_4.capacitiveSensor(30);  //sensor resoultion. Default 30.
                                            // increase for higher resolution, but slower performance.
Serial.print(millis() - start);             // check on performance in milliseconds
Serial.print("\t");                         // tab character for debug window spacing
Serial.println(total1);                     // print sensor output 1
delay(10);                                  // arbitrary delay to limit data to serial port

    for(int i=0; i<NUMPIXELS; i++) // For each pixel...
    pixels.setPixelColor(i, pixels.Color(0,0,0));// Set all pixel colors to 'off'

if(total1>=1500)        // change this based on Serial Monitor's output - at what value do you want the LED's to activate 

{
    randNumber1 = random(256); //this sets a random value for Red
    randNumber2 = random(256); //this sets a random value for Green
    randNumber3 = random(256); //this sets a random value for Blue

    // The first NeoPixel in a strand is #0, second is 1, all the way up
    // to the count of pixels minus one.
    
    // for(int i=0; i<NUMPIXELS; i++) // For each pixel...

    // pixels.Color() takes RGB values, from 0,0,0 up to 255,255,255
    // Here we're using random colors:

    for(int i=0; i<NUMPIXELS; i++) // For each pixel...
    pixels.setPixelColor(i, pixels.Color(randNumber1,randNumber2,randNumber3)); //the randomNumber values can be changed out for whole number values of 1-255

    pixels.show();   // Send the updated pixel colors to the hardware.

    delay(DELAYVAL); // Pause before next pass through loop  
    
    for(int i=0; i<NUMPIXELS; i++) // For each pixel...
    pixels.setPixelColor(i, pixels.Color(0,0,0));// Set all pixel colors to 'off' (delete this line if you want the LED's on)
    pixels.show();   // Send the updated pixel colors to the hardware.

}
    else 
    for(int i=0; i<NUMPIXELS; i++) // For each pixel...
    pixels.setPixelColor(i, pixels.Color(0,0,0));// Set all pixel colors to 'off'
 
}
